Package org.apache.wiki.parser

## Interface HeadingListener

All Known Implementing Classes:
  `TableOfContents`

    public interface HeadingListener

Provides a listener interface for headings. This is used in parsing, and e.g. the TableOfContents is built using this listener.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `headingAdded​(Context context, Heading hd)` Is called whenever a heading is encountered in the stream.

### Method Detail

#### headingAdded

    void headingAdded​(Context context,
                      Heading hd)

Is called whenever a heading is encountered in the stream.

Parameters:
  `context` - The WikiContext
  `hd` - The heading which was just encountered.